uuid: 702fa514-9bf6-4502-afc2-bc22e9159551
langcode: en
status: true
dependencies: {  }
id: gronze_user_comment_notify
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - users
  - gronze
  - level2
migration_group: gronze_users
label: "Migrate users' settings for comment_notify setting from comment_notify module"
source:
  high_water_property:
    name: changed
    alias: u
  plugin: d7_user_comment_notify
  constants:
    key: comment_notify
    module: comment_notify
process:
  pseudo_skip:
    plugin: skip_on_empty
    method: row
    source: d7_user_comment_notify_row_exists
  uid:
    plugin: migration_lookup
    migration: gronze_user_accounts
    source: uid
    no_stub: true
  key: constants/key
  module: constants/module
  settings: d7_user_comment_notify
destination:
  plugin: user_data
migration_dependencies:
  required:
    - gronze_user_accounts
